Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.packet
Class Packet15Place

    java.lang.Object
      net.minecraft.network.packet.Packet
          net.minecraft.network.packet.Packet15Place

    public class Packet15Place

extends Packet

Field Summary

Fields inherited from class net.minecraft.network.packet.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet15Place()`
`Packet15Place(int par1, int par2, int par3, int par4, ItemStack par5ItemStack, float par6, float par7, float par8)`

Method Summary
`int` | `getDirection()`
`ItemStack` | `getItemStack()`
`int` | `getPacketSize()` Abstract.
`float` | `getXOffset()` Returns the offset from xPosition where the actual click took place
`int` | `getXPosition()`
`float` | `getYOffset()` Returns the offset from yPosition where the actual click took place
`int` | `getYPosition()`
`float` | `getZOffset()` Returns the offset from zPosition where the actual click took place
`int` | `getZPosition()`
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.network.packet.Packet
`addIdClassMapping, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Packet15Place

    public Packet15Place()

### Packet15Place

    public Packet15Place(int par1,
                         int par2,
                         int par3,
                         int par4,
                         ItemStack par5ItemStack,
                         float par6,
                         float par7,
                         float par8)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

### getXPosition

    public int getXPosition()

### getYPosition

    public int getYPosition()

### getZPosition

    public int getZPosition()

### getDirection

    public int getDirection()

### getItemStack

    public ItemStack getItemStack()

### getXOffset

    public float getXOffset()

  Returns the offset from xPosition where the actual click took place

### getYOffset

    public float getYOffset()

  Returns the offset from yPosition where the actual click took place

### getZOffset

    public float getZOffset()

  Returns the offset from zPosition where the actual click took place

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD